/*===========================================================================*
 *  Header file for Atom Config File
 *  Project            : Rainbow_Sound
 *  Tool Ver.          : Ver.1.04.00
 *  ACF  Ver.          : Ver.1.21.01
 *  File Path          : C:/Rainbow_Sound/Output/Switch
 *  File Name          : Rainbow_Sound_acf.h
 *  File Size          : 7808 bytes
 *  Date Time          : 2021/04/14 00:40:03
 *  Target             : Switch
 *  Categories         : 5
 *  AISAC Controls     : 16
 *  Global AISACs      : 10
 *  Voice Limit Groups : 40
 *  DSP BUS Settings   : 1
 *  DSP BUS Settings Snapshot  : 0
 *  DSP BUS Name       : 8
 *  Game Variables     : 1
 *  Selectors          : 0
 *  REACTs             : 0
 *  Project Comment    : 
 *===========================================================================*/

#define CRI_RAINBOW_SOUND_ACF_NUM_CATEGORIES_PER_PLAYBACK (4)
#define CRI_RAINBOW_SOUND_ACF_CATEGORYNUM (5)
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROLNUM (16)
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISACNUM (10)
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUPNUM (40)
#define CRI_RAINBOW_SOUND_ACF_DSPSETTINGNUM (1)
#define CRI_RAINBOW_SOUND_ACF_DSPSETTINGSNAPSHOTNUM (0)
#define CRI_RAINBOW_SOUND_ACF_DSPBUSNAMENUM (8)
#define CRI_RAINBOW_SOUND_ACF_GAMEVARIABLENUM (1)
#define CRI_RAINBOW_SOUND_ACF_SELECTORNUM (0)
#define CRI_RAINBOW_SOUND_ACF_REACTNUM (0)

/* Category List (Category ID) */
#define CRI_RAINBOW_SOUND_ACF_CATEGORY_BGM                  ( 0) /*  */
#define CRI_RAINBOW_SOUND_ACF_CATEGORY_SE                   ( 1) /*  */
#define CRI_RAINBOW_SOUND_ACF_CATEGORY_SE_SYSTEM            ( 2) /*  */
#define CRI_RAINBOW_SOUND_ACF_CATEGORY_VOICE_CHARACTERS     ( 3) /*  */
#define CRI_RAINBOW_SOUND_ACF_CATEGORY_VOICE_OTHERS         ( 4) /*  */

/* AISAC Control List (AISAC Control ID) */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_DISTANCE             ( 0) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_SWITCH_UW            ( 1) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_SN_SPEED             ( 2) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_SN_SPEED_FALL        ( 3) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_COASTER_SPEED        ( 4) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_AISACCONTROL05       ( 5) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_AISACCONTROL06       ( 6) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_AISACCONTROL07       ( 7) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_AISACCONTROL08       ( 8) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_AISACCONTROL09       ( 9) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_FILTER               (10) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_BOOST                (11) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_SLEEP                (12) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_AISACCONTROL13       (13) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_AISACCONTROL14       (14) /*  */
#define CRI_RAINBOW_SOUND_ACF_AISACCONTROL_AISACCONTROL15       (15) /*  */

/* Global AISAC List (Global AISAC Name) */
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISAC_ROLLOFF_001          "rolloff_001" /*  */
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISAC_ROLLOFF_002_GOALRING_ "rolloff_002(goalring)" /*  */
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISAC_ROLLOFF_003          "rolloff_003" /*  */
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISAC_ROLLOFF_004          "rolloff_004" /*  */
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISAC_ROLLOFF_005          "rolloff_005" /*  */
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISAC_ROLLOFF_DUMMY        "rolloff_dummy" /*  */
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISAC_SWITCH_UW01          "switch_uw01" /*  */
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISAC_SWITCH_UW02          "switch_uw02" /*  */
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISAC_SWITCH_UW01_FOOTSTEP "switch_uw01_footstep" /*  */
#define CRI_RAINBOW_SOUND_ACF_GLOBALAISAC_WHOOSH_SW            "whoosh_sw" /*  */

/* Voice Limit Group (Voice Limit Group Index) */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOOST_LIMIT_02       ( 0) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_VOICE_01             ( 1) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_PIXIE_02             ( 2) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_JUMP_01              ( 3) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_FOOTSTEP_02          ( 4) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOOST_01             ( 5) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOOST_02             ( 6) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_ENEMY_01             ( 7) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_ENEMY_02             ( 8) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_DASHPANEL_01         ( 9) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_SPIN_01              (10) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BUBBLE_01            (11) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS01_LASER_01      (12) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS01_LASER_02      (13) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS01_LASERBLOCK_01 (14) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_MISSILE_01           (15) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_NEEDLEPANEL_01       (16) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_ANNOUNCEMENT         (17) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_FAN_01               (18) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS_BLINK           (19) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_RING_04              (20) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_FAN_02               (21) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_GRASS_04             (22) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_SHORTWARP_03         (23) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS02_VOICE_01      (24) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BATABATATURN_01      (25) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS_MACHINGUN       (26) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS03_EXP_02        (27) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_OBJ_STAFFROLL        (28) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS04_DARKSPIKE     (29) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS04_DARKSPIKE_ADD (30) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS04_ROAR          (31) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS04_DARKSPIKE_PUZZLE (32) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS04_DARKSPIKE_ROLL (33) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_MOTORA_MOVE          (34) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_BOSS03_MACHINGUN_SIGN (35) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_VO_SONIC             (36) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_VO_TAILS             (37) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_VO_EGGMAN            (38) /*  */
#define CRI_RAINBOW_SOUND_ACF_VOICELIMITGROUP_VO_ANNOUNCEMENT      (39) /*  */

/* DspSetting List (DspSetting Name) */
#define CRI_RAINBOW_SOUND_ACF_DSPSETTING_DSPBUSSETTING_0      "DspBusSetting_0" /*  */

/* DspBusName List (DspBus Name) */
#define CRI_RAINBOW_SOUND_ACF_DSPBUSNAME_BUS1                 "BUS1" /*  */
#define CRI_RAINBOW_SOUND_ACF_DSPBUSNAME_BUS2                 "BUS2" /*  */
#define CRI_RAINBOW_SOUND_ACF_DSPBUSNAME_BUS3                 "BUS3" /*  */
#define CRI_RAINBOW_SOUND_ACF_DSPBUSNAME_BUS4                 "BUS4" /*  */
#define CRI_RAINBOW_SOUND_ACF_DSPBUSNAME_BUS5                 "BUS5" /*  */
#define CRI_RAINBOW_SOUND_ACF_DSPBUSNAME_BUS6                 "BUS6" /*  */
#define CRI_RAINBOW_SOUND_ACF_DSPBUSNAME_BUS7                 "BUS7" /*  */
#define CRI_RAINBOW_SOUND_ACF_DSPBUSNAME_MASTEROUT            "MasterOut" /*  */

/* Game Variable (Game Variable Index) */
#define CRI_RAINBOW_SOUND_ACF_GAMEVARIABLE_DEFAULT              ( 0) /*  */

